searchNodes=[{"doc":"Elixir authority lookup behavior","ref":"Authoritex.html","title":"Authoritex","type":"behaviour"},{"doc":"Lists the available authories, returning a list of {implementation_module, authority_code, authority_description} Example: iex&gt; Authoritex . authorities ( ) [ { Authoritex.FAST.CorporateName , &quot;fast-corporate-name&quot; , &quot;Faceted Application of Subject Terminology -- Corporate Name&quot; } , { Authoritex.FAST.EventName , &quot;fast-event-name&quot; , &quot;Faceted Application of Subject Terminology -- Event Name&quot; } , { Authoritex.FAST.Form , &quot;fast-form&quot; , &quot;Faceted Application of Subject Terminology -- Form/Genre&quot; } , { Authoritex.FAST.Geographic , &quot;fast-geographic&quot; , &quot;Faceted Application of Subject Terminology -- Geographic&quot; } , { Authoritex.FAST.Personal , &quot;fast-personal&quot; , &quot;Faceted Application of Subject Terminology -- Personal&quot; } , { Authoritex.FAST.Topical , &quot;fast-topical&quot; , &quot;Faceted Application of Subject Terminology -- Topical&quot; } , { Authoritex.FAST.UniformTitle , &quot;fast-uniform-title&quot; , &quot;Faceted Application of Subject Terminology -- Uniform Title&quot; } , { Authoritex.FAST , &quot;fast&quot; , &quot;Faceted Application of Subject Terminology&quot; } , { Authoritex.GeoNames , &quot;geonames&quot; , &quot;GeoNames geographical database&quot; } , { Authoritex.Getty.AAT , &quot;aat&quot; , &quot;Getty Art &amp; Architecture Thesaurus (AAT)&quot; } , { Authoritex.Getty.TGN , &quot;tgn&quot; , &quot;Getty Thesaurus of Geographic Names (TGN)&quot; } , { Authoritex.Getty.ULAN , &quot;ulan&quot; , &quot;Getty Union List of Artist Names (ULAN)&quot; } , { Authoritex.Getty , &quot;getty&quot; , &quot;Getty Vocabularies&quot; } , { Authoritex.LOC.Languages , &quot;lclang&quot; , &quot;Library of Congress MARC List for Languages&quot; } , { Authoritex.LOC.Names , &quot;lcnaf&quot; , &quot;Library of Congress Name Authority File&quot; } , { Authoritex.LOC.SubjectHeadings , &quot;lcsh&quot; , &quot;Library of Congress Subject Headings&quot; } , { Authoritex.LOC , &quot;loc&quot; , &quot;Library of Congress Linked Data&quot; } ]","ref":"Authoritex.html#authorities/0","title":"Authoritex.authorities/0","type":"function"},{"doc":"","ref":"Authoritex.html#authority_for/1","title":"Authoritex.authority_for/1","type":"function"},{"doc":"Returns true if the module can resolve the given identifier","ref":"Authoritex.html#c:can_resolve?/1","title":"Authoritex.can_resolve?/1","type":"callback"},{"doc":"Returns the unique short code for the authority","ref":"Authoritex.html#c:code/0","title":"Authoritex.code/0","type":"callback"},{"doc":"Returns a human-readable description of the authority","ref":"Authoritex.html#c:description/0","title":"Authoritex.description/0","type":"callback"},{"doc":"Returns a label given an id. Examples: iex&gt; Authoritex . fetch ( &quot;http://id.loc.gov/authorities/names/no2011087251&quot; ) { :ok , &quot;Valim, Jose&quot; } iex&gt; Authoritex . fetch ( &quot;http://id.loc.gov/authorities/names/unknown-id&quot; ) { :error , 404 } iex&gt; Authoritex . fetch ( &quot;http://fake.authority.org/not-a-real-thing&quot; ) { :error , :unknown_authority }","ref":"Authoritex.html#fetch/1","title":"Authoritex.fetch/1","type":"function"},{"doc":"Fetches a label (and optional hint string) for a specified resource","ref":"Authoritex.html#c:fetch/1","title":"Authoritex.fetch/1","type":"callback"},{"doc":"Returns search results for a given query. Examples: iex&gt; Authoritex . search ( &quot;lcnaf&quot; , &quot;valim&quot; ) { :ok , [ %{ id : &quot;info:lc/authorities/names/n2013200729&quot; , label : &quot;Valim, Alexandre Busko&quot; } , %{ id : &quot;info:lc/authorities/names/nb2006000541&quot; , label : &quot;Levitin, Valim&quot; } , %{ id : &quot;info:lc/authorities/names/n88230271&quot; , label : &quot;Valim, Anthony Terra, 1919-&quot; } , %{ id : &quot;info:lc/authorities/names/no2019037344&quot; , label : &quot;Melo, Glenda Cristina Valim de&quot; } , %{ id : &quot;info:lc/authorities/names/no2012078919&quot; , label : &quot;Mansan, Jaime Valim&quot; } , %{ id : &quot;info:lc/authorities/names/no2001072420&quot; , label : &quot;Lucisano-Valim, Yara Maria&quot; } , %{ id : &quot;info:lc/authorities/names/no2011087251&quot; , label : &quot;Valim, Jose&quot; } , %{ id : &quot;info:lc/authorities/names/no2019110111&quot; , label : &quot;Valim, Patrícia&quot; } , %{ id : &quot;info:lc/authorities/names/n2014206721&quot; , label : &quot;Valim, Rafael&quot; } , %{ id : &quot;info:lc/authorities/names/no2009021335&quot; , label : &quot;Melo, Cimara&quot; } ] } iex&gt; Authoritex . search ( &quot;lcnaf&quot; , &quot;blergh&quot; ) { :ok , [ ] } iex&gt; Authoritex . search ( &quot;blergh&quot; , &quot;valim&quot; ) { :error , &quot;Unknown authority: blergh&quot; }","ref":"Authoritex.html#search/2","title":"Authoritex.search/2","type":"function"},{"doc":"Returns a list of search results (and optional hints) matching a query","ref":"Authoritex.html#c:search/2","title":"Authoritex.search/2","type":"callback"},{"doc":"Like Authoritex.search/2 but with a specific maximum number of results","ref":"Authoritex.html#search/3","title":"Authoritex.search/3","type":"function"},{"doc":"","ref":"Authoritex.html#t:authority/0","title":"Authoritex.authority/0","type":"type"},{"doc":"","ref":"Authoritex.html#t:fetch_result/0","title":"Authoritex.fetch_result/0","type":"type"},{"doc":"","ref":"Authoritex.html#t:search_result/0","title":"Authoritex.search_result/0","type":"type"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology","ref":"Authoritex.FAST.html","title":"Authoritex.FAST","type":"module"},{"doc":"Abstract Authoritex implementation for FAST authorities &amp; vocabularies","ref":"Authoritex.FAST.Base.html","title":"Authoritex.FAST.Base","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Corporate Name","ref":"Authoritex.FAST.CorporateName.html","title":"Authoritex.FAST.CorporateName","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Event Name","ref":"Authoritex.FAST.EventName.html","title":"Authoritex.FAST.EventName","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Form/Genre","ref":"Authoritex.FAST.Form.html","title":"Authoritex.FAST.Form","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Geographic","ref":"Authoritex.FAST.Geographic.html","title":"Authoritex.FAST.Geographic","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Personal","ref":"Authoritex.FAST.Personal.html","title":"Authoritex.FAST.Personal","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Topical","ref":"Authoritex.FAST.Topical.html","title":"Authoritex.FAST.Topical","type":"module"},{"doc":"Authoritex implementation for Faceted Application of Subject Terminology -- Uniform Title","ref":"Authoritex.FAST.UniformTitle.html","title":"Authoritex.FAST.UniformTitle","type":"module"},{"doc":"Authoritex implementation for GeoNames webservice","ref":"Authoritex.GeoNames.html","title":"Authoritex.GeoNames","type":"module"},{"doc":"Authoritex implementation for the Getty Vocabularies","ref":"Authoritex.Getty.html","title":"Authoritex.Getty","type":"module"},{"doc":"","ref":"Authoritex.Getty.html#process_result/1","title":"Authoritex.Getty.process_result/1","type":"function"},{"doc":"","ref":"Authoritex.Getty.html#sparql_fetch/1","title":"Authoritex.Getty.sparql_fetch/1","type":"function"},{"doc":"Authoritex implementation for the Getty Art &amp; Architecture Thesaurus (AAT)","ref":"Authoritex.Getty.AAT.html","title":"Authoritex.Getty.AAT","type":"module"},{"doc":"","ref":"Authoritex.Getty.AAT.html#process_result/1","title":"Authoritex.Getty.AAT.process_result/1","type":"function"},{"doc":"","ref":"Authoritex.Getty.AAT.html#sparql_fetch/1","title":"Authoritex.Getty.AAT.sparql_fetch/1","type":"function"},{"doc":"Abstract Authoritex implementation for Getty authorities &amp; vocabularies","ref":"Authoritex.Getty.Base.html","title":"Authoritex.Getty.Base","type":"module"},{"doc":"Authoritex implementation for the Getty Thesaurus of Geographic Names (TGN)","ref":"Authoritex.Getty.TGN.html","title":"Authoritex.Getty.TGN","type":"module"},{"doc":"","ref":"Authoritex.Getty.TGN.html#process_result/1","title":"Authoritex.Getty.TGN.process_result/1","type":"function"},{"doc":"","ref":"Authoritex.Getty.TGN.html#sparql_fetch/1","title":"Authoritex.Getty.TGN.sparql_fetch/1","type":"function"},{"doc":"Authoritex implementation for the Getty Union List of Artist Names (ULAN)","ref":"Authoritex.Getty.ULAN.html","title":"Authoritex.Getty.ULAN","type":"module"},{"doc":"","ref":"Authoritex.Getty.ULAN.html#process_result/1","title":"Authoritex.Getty.ULAN.process_result/1","type":"function"},{"doc":"","ref":"Authoritex.Getty.ULAN.html#sparql_fetch/1","title":"Authoritex.Getty.ULAN.sparql_fetch/1","type":"function"},{"doc":"Authoritex implementation for Homosaurus linked data vocabulary","ref":"Authoritex.Homosaurus.html","title":"Authoritex.Homosaurus","type":"module"},{"doc":"Authoritex implementation for Library of Congress Linked Data","ref":"Authoritex.LOC.html","title":"Authoritex.LOC","type":"module"},{"doc":"Abstract Authoritex implementation for Library of Congress authorities &amp; vocabularies","ref":"Authoritex.LOC.Base.html","title":"Authoritex.LOC.Base","type":"module"},{"doc":"Authoritex implementation for Library of Congress Genre/Form Terms","ref":"Authoritex.LOC.GenreForms.html","title":"Authoritex.LOC.GenreForms","type":"module"},{"doc":"Authoritex implementation for Library of Congress MARC List for Languages","ref":"Authoritex.LOC.Languages.html","title":"Authoritex.LOC.Languages","type":"module"},{"doc":"Authoritex implementation for Library of Congress Name Authority File","ref":"Authoritex.LOC.Names.html","title":"Authoritex.LOC.Names","type":"module"},{"doc":"Authoritex implementation for Library of Congress Subject Headings","ref":"Authoritex.LOC.SubjectHeadings.html","title":"Authoritex.LOC.SubjectHeadings","type":"module"},{"doc":"Mock Authority for testing Authoritex consumers Examples: # In test.exs: # config :authoritex, authorities: [Authoritex.Mock] # In test_helper.exs: # Authoritex.Mock.init() # In test case: iex&gt; Authoritex.Mock . set_data ( [ %{ id : &quot;mock:result1&quot; , label : &quot;First Result&quot; , qualified_label : &quot;First Result (1)&quot; , hint : &quot;(1)&quot; } , %{ id : &quot;mock:result2&quot; , label : &quot;Second Result&quot; , qualified_label : &quot;Second Result (2)&quot; , hint : &quot;(2)&quot; } , %{ id : &quot;mock:result3&quot; , label : &quot;Third Result&quot; , qualified_label : &quot;Third Result (3)&quot; , hint : &quot;(3)&quot; } ] ) :ok iex&gt; Authoritex . fetch ( &quot;mock:result2&quot; ) { :ok , %{ id : &quot;mock:result2&quot; , label : &quot;Second Result&quot; , qualified_label : &quot;Second Result (2)&quot; , hint : &quot;(2)&quot; } } iex&gt; Authoritex . fetch ( &quot;missing_id_authority:anything&quot; ) { :error , 404 } iex&gt; Authoritex . fetch ( &quot;wrong&quot; ) { :error , :unknown_authority } iex&gt; Authoritex . search ( &quot;mock&quot; , &quot;test&quot; ) { :ok , [ %{ id : &quot;mock:result1&quot; , label : &quot;First Result&quot; , hint : &quot;(1)&quot; } , %{ id : &quot;mock:result2&quot; , label : &quot;Second Result&quot; , hint : &quot;(2)&quot; } , %{ id : &quot;mock:result3&quot; , label : &quot;Third Result&quot; , hint : &quot;(3)&quot; } ] } iex&gt; Authoritex . search ( &quot;mock&quot; , :no_results ) { :ok , [ ] } iex&gt; Authoritex . search ( &quot;mock&quot; , :error ) { :error , 500 }","ref":"Authoritex.Mock.html","title":"Authoritex.Mock","type":"module"},{"doc":"","ref":"Authoritex.Mock.html#init/0","title":"Authoritex.Mock.init/0","type":"function"},{"doc":"","ref":"Authoritex.Mock.html#set_data/1","title":"Authoritex.Mock.set_data/1","type":"function"},{"doc":"Shared tests for Authoritex modules Authoritex.TestCase ensures that an authority module implements the Authoritex behvaiour and that all of its functions behave as expected. To run the shared tests, use Authoritex.TestCase, opts within your test module, where opts contains: module -- The module you're testing code -- The code returned by the module's code/0 callback description -- The description returned by the module's description/0 callback test_uris -- A list of URIs that should be resolvable by the module, referencing the same resource bad_uri -- A URI that is in the correct format but does not point to a resource expected -- A keyword list containing the attributes of the resource referenced by the test_uris . search_result_term -- A term or search query that will include the resource referenced by the test_uris in its results search_count_term -- A term or search query that will produce at least two pages of results default_results (optional) -- The default maximum number of results returned by a search (default: 30 ) specified_results (optional) -- A non-default number of results that can be used for testing search/2 (default: 50 ) See this package &#39; s test suite for detailed examples .","ref":"Authoritex.TestCase.html","title":"Authoritex.TestCase","type":"module"},{"doc":"An Elixir library for searching and fetching controlled vocabulary authority terms, inspired by the Samvera Community 's Questioning Authority .","ref":"readme.html","title":"Introduction","type":"extras"},{"doc":"Add authoritex to your list of dependencies in mix.exs : def deps do [ { :authoritex , &quot;~&gt; 1.0.0&quot; } ] end","ref":"readme.html#installation","title":"Introduction - Installation","type":"extras"},{"doc":"Activate modules for the authorities you want to have available by configuring them in config/config.exs : # To activate all config :authoritex , authorities : [ Authoritex.FAST.CorporateName , Authoritex.FAST.EventName , Authoritex.FAST.Form , Authoritex.FAST.Geographic , Authoritex.FAST.Personal , Authoritex.FAST.Topical , Authoritex.FAST.UniformTitle , Authoritex.FAST , Authoritex.GeoNames , Authoritex.Getty.AAT , Authoritex.Getty.TGN , Authoritex.Getty.ULAN , Authoritex.Getty , Authoritex.Homosaurus , Authoritex.LOC.GenreForms , Authoritex.LOC.Languages , Authoritex.LOC.Names , Authoritex.LOC.SubjectHeadings , Authoritex.LOC ] # Authoritex uses httpoison_retry https://github.com/mgwidmann/httpoison_retry # Override the config in your application if needed config :httpoison_retry , max_attempts : 3 , wait : 1_000 , retry_unknown_errors : false","ref":"readme.html#configuration","title":"Introduction - Configuration","type":"extras"},{"doc":"See Authoritex.authorities/0 , Authoritex.search/2 , Authoritex.search/3 , and Authoritex.fetch/1 .","ref":"readme.html#usage","title":"Introduction - Usage","type":"extras"},{"doc":"Create a module implementing the Authoritex behaviour Create a test module using the Authoritex.TestCase module Authoritex uses ExVCR to cache HTTP requests in the test suite. If you're seeing unexpected results during development, run mix vcr.delete CODE_ (where CODE is your authority module's unique short code) to clear that authority's cached results","ref":"readme.html#implementing-additional-authorities","title":"Introduction - Implementing Additional Authorities","type":"extras"},{"doc":"See Authoritex.Mock","ref":"readme.html#testing-using-mocks","title":"Introduction - Testing using mocks","type":"extras"},{"doc":"Authoritex supports (i.e., is tested against) a matrix consisting of the three most recent Elixir minor versions and up to three most recent Erlang/OTP major versions (depending on Elixir compatibility). Right now, that means: Elixir/OTP 24 23 22 1.12 ✔️ ✔️ ✔️ 1.11 ✔️ ✔️ ✔️ 1.10 ✔️ ✔️ Support for other versions/combinations is possible (probable, even), but unsupported.","ref":"readme.html#supported-elixir-otp-versions","title":"Introduction - Supported Elixir/OTP versions","type":"extras"},{"doc":"Issues and Pull Requests are always welcome!","ref":"readme.html#contributing","title":"Introduction - Contributing","type":"extras"},{"doc":"","ref":"livebook.html","title":"Livebook Notebook","type":"extras"},{"doc":"An Elixir library for searching and fetching controlled vocabulary authority terms, inspired by the Samvera Community's Questioning Authority . Authoritex provides an Elixir behaviour that defines a specification for creating authorities. Each authority is a module which has to implement at least 5 public functions: can_resolve?/1 , code/0 , description/0 , fetch/1 , and search/2 . can_resolve?/1 Returns true if the module can resolve the given identifier code/0 Returns the unique short code for the authority description/0 Returns a human-readable description of the authority fetch/1 Fetches a label (and optional hint string) for a specified resource search/2 Returns a list of search results (and optional hints) matching a query","ref":"livebook.html#about","title":"Livebook Notebook - About","type":"extras"},{"doc":"Mix . install ( [ { :authoritex , &quot;~&gt; 0.7.0&quot; } , { :kino , &quot;~&gt; 0.5.2&quot; } ] )","ref":"livebook.html#installation","title":"Livebook Notebook - Installation","type":"extras"},{"doc":"Application . put_env ( :authoritex , :authorities , [ Authoritex.FAST.CorporateName , Authoritex.FAST.EventName , Authoritex.FAST.Form , Authoritex.FAST.Geographic , Authoritex.FAST.Personal , Authoritex.FAST.Topical , Authoritex.FAST.UniformTitle , Authoritex.FAST , Authoritex.GeoNames , Authoritex.Getty.AAT , Authoritex.Getty.TGN , Authoritex.Getty.ULAN , Authoritex.Getty , Authoritex.LOC.Languages , Authoritex.LOC.Names , Authoritex.LOC.SubjectHeadings ] )","ref":"livebook.html#configuration","title":"Livebook Notebook - Configuration","type":"extras"},{"doc":"Authoritex.authorities/0 returns a list of tuples describing all configured authorities. Authoritex . authorities ( )","ref":"livebook.html#list-configured-authorities","title":"Livebook Notebook - List configured authorities","type":"extras"},{"doc":"Authoritex.fetch/1 returns a map with the :label , :id , :hint , and :qualified_label for an authority record given an id (must be a string). # Known authority and record identifier Authoritex . fetch ( &quot;http://id.loc.gov/authorities/names/no2011087251&quot; ) Authoritex.fetch/1 returns the error tuple {:error, 404} given an unknown id for a properly configured authority. # Known authority with unknown record identifier Authoritex . fetch ( &quot;http://id.loc.gov/authorities/names/unknown-id&quot; ) Authoritex.fetch/1 returns the error tuple {:error, :unknown_authority} given an id for an unknown authority. # Unknown authority Authoritex . fetch ( &quot;http://fake.authority.org/not-a-real-thing&quot; )","ref":"livebook.html#fetch-records-by-id","title":"Livebook Notebook - Fetch records by id","type":"extras"},{"doc":"Authoritex.search/2 performs a search with an authority and a search term. The following select menu lets you choose a supported authority: search_authority = Kino.Input . select ( &quot;Select Authority&quot; , [ { &quot;aat&quot; , &quot;Getty Art &amp; Architecture Thesaurus (AAT)&quot; } , { &quot;fast&quot; , &quot;Faceted Application of Subject Terminology (FAST) -- Base&quot; } , { &quot;fast-corporate-name&quot; , &quot;Faceted Application of Subject Terminology -- Corporate Name&quot; } , { &quot;fast-event-name&quot; , &quot;Faceted Application of Subject Terminology -- Event Name&quot; } , { &quot;fast-form&quot; , &quot;Faceted Application of Subject Terminology -- Form/Genre&quot; } , { &quot;fast-geographic&quot; , &quot;Faceted Application of Subject Terminology -- Geographic&quot; } , { &quot;fast-personal&quot; , &quot;Faceted Application of Subject Terminology -- Personal&quot; } , { &quot;fast-topical&quot; , &quot;Faceted Application of Subject Terminology -- Topical&quot; } , { &quot;fast-uniform-title&quot; , &quot;Faceted Application of Subject Terminology -- Uniform Title&quot; } , { &quot;getty&quot; , &quot;Getty -- Base&quot; } , { &quot;lclang&quot; , &quot;Library of Congress MARC List for Languages&quot; } , { &quot;lcnaf&quot; , &quot;Library of Congress Name Authority File&quot; } , { &quot;lcsh&quot; , &quot;Library of Congress Subject Headings&quot; } , { &quot;tgn&quot; , &quot;Getty Thesaurus of Geographic Names (TGN)&quot; } , { &quot;ulan&quot; , &quot;Getty Union List of Artist Names (ULAN)&quot; } ] ) Enter a search term in the text input: search_term = Kino.Input . text ( &quot;Search term&quot; ) Perform the search using the values chosen above: Authoritex . search ( Kino.Input . read ( search_authority ) , Kino.Input . read ( search_term ) ) Authoritex.search/3 takes the same arguments as Authoritex.search/2 along with a third argument (must be an integer) to limit the result count of the search. Authoritex . search ( &quot;lcsh&quot; , &quot;library&quot; , 3 ) # Error recevied when searching an unknown authority Authoritex . search ( &quot;not-an-authority&quot; , &quot;test&quot; )","ref":"livebook.html#search-an-authority","title":"Livebook Notebook - Search an authority","type":"extras"},{"doc":"Authoritex provides a mock for testing purposes in consuming applications. Configure the mock with a few lines of code: # In test.exs: config :authoritex , authorities : [ Authoritex.Mock ] # In test_helper.exs: Authoritex.Mock . init ( ) Use the Authoritex.Mock.set_data/1 function to add data for testing purposes, typically in a setup block. The example module below demonstrates an ExUnit test using the Authoritex.Mock . The Authoritex.Mock.search/1 function returns all mock data regardless of the string passed to the function. (Note: the following code is a code sample that is not runnable like the examples above): defmodule MyTest do alias Authoritex.Mock use ExUnit.Case , async : true @data [ %{ id : &quot;mock:result1&quot; , label : &quot;First Result&quot; , qualified_label : &quot;First Result (1)&quot; , hint : &quot;(1)&quot; } , %{ id : &quot;mock:result2&quot; , label : &quot;Second Result&quot; , qualified_label : &quot;Second Result (2)&quot; , hint : &quot;(2)&quot; } , %{ id : &quot;mock:result3&quot; , label : &quot;Third Result&quot; , qualified_label : &quot;Third Result (3)&quot; , hint : &quot;(3)&quot; } ] setup do Mock . set_data ( @data ) :ok end test &quot;results&quot; do with { :ok , results } &lt;- Mock . search ( &quot;any&quot; ) do assert length ( results ) == length ( @data ) end end end","ref":"livebook.html#testing","title":"Livebook Notebook - Testing","type":"extras"},{"doc":"MIT License Copyright (c) 2020 Northwestern University Libraries Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html","title":"License","type":"extras"}]